Uploaded image for project: 'Apache Whirr (retired)'
  1. Apache Whirr (retired)
  2. WHIRR-603

HBase 0.89 tests won't work with Hadoop 0.20.205

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.7.1
    • Fix Version/s: 0.8.0
    • Component/s: service/hbase
    • Labels:
      None

      Description

      I'm trying to run the full battery of tests, and one particular snag is that HBase 0.89 doesn't work with the default Hadoop 0.20.205. The tests end up hanging forever - that's because HBase 0.89 uses an older API than Hadoop 0.20.205 provides. Switching to 0.20.2 gets past that hang, though there are still test failures, albeit ones I'm also seeing with HBase 0.90 tests.

        Attachments

        1. WHIRR-603.patch
          0.6 kB
          Andrew Bayer

          Activity

            People

            • Assignee:
              abayer Andrew Bayer
              Reporter:
              abayer Andrew Bayer
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: